#include <stdio.h>

typedef struct
{
	int n6;
	int n9;
	int n20;
	int status;
} counts;

int read_int(const char *);
counts chicken_start(int);
counts chicken_recurse(int, counts);
void print(counts);

int main(void)
{
	int n;
	counts result;
	n = read_int("How meni:");
	result = chicken_start(n);
	print(result);
	return 0;
}

counts chicken_recurse(int left, counts c)
{
	counts result;
	if (left == 0)
	{
		c.status = 1;
		return c;
	}
	if (left >= 20)
	{
		result = chicken_recurse(left - 20, (counts){c.n6, c.n9, c.n20+1, 0});
		if (result.status)
		{
			return result;
		}
	}
	if (left >= 9)
	{
		result = chicken_recurse(left - 9, (counts){c.n6, c.n9+1, c.n20, 0});
		if (result.status)
		{
			return result;
		}
	}
	if (left >= 6)
	{
		result = chicken_recurse(left - 6, (counts){c.n6+1, c.n9, c.n20, 0});
		if (result.status)
		{
			return result;
		}
	}
	return (counts){0, 0, 0, 0};
}

counts chicken_start(int count)
{
	return chicken_recurse(count, (counts){0, 0, 0, 0});
}

int read_int(const char *message)
{
	int result;
	puts(message);
	scanf("%d", &result);
	return result;
}

void print(counts c)
{
	if (c.status == 0)
	{
		printf("This amount cannot be boxed\n");
	}
	else
	{
		printf("6x boxws: %d\n9x boxes: %d\n20x boxes: %d.\n", c.n6, c.n9, c.n20);
	}
}


